| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions | Variables
isf_init.c File Reference

The isf_init.c file contains implementation of the ISF library initialization functions. More...

`#include "isf_user_config.h"`
`#include "isf_init.h"`
`#include <mqxlite.h>`
`#include <lwevent.h>`
Include dependency graph for isf_init.c:

Go to the source code of this file.

## Functions
isf_status_t | isf_lib_init (void *pOptions)
| Please see isf_init.h for complete documentation. More...
void | isf_system_sync (void)
| This function synchronizes the user tasks and the system initialization. More...

## Variables
LWEVENT_STRUCT | isfSysEventHandler
| Definition of the event handle to the system ready event. More...
volatile uint8 | synchCreate = 0

## Detailed Description

The isf_init.c file contains implementation of the ISF library initialization functions.

Copyright
  Copyright (c) 2012, Freescale Semiconductor, Inc.

Definition in file isf_init.c.

## Function Documentation

isf_status_t isf_lib_init | ( | void * | pOptions | ) |

Please see isf_init.h for complete documentation.

This function initializes the ISF library.

API ISF library get information.

Definition at line 18 of file isf_init.c.

References bm_init(), ci_init(), ISF_ERR_LIB_INIT, ISF_SUCCESS, ISF_SYSTEM_READY_EVENT, isfSysEventHandler, and pm_init().

Referenced by TaskApp1_task().

Here is the call graph for this function:

Here is the caller graph for this function:

void isf_system_sync | ( | void |  | ) |

This function synchronizes the user tasks and the system initialization.

Purpose:
  This function blocks the user tasks from executing until ISF initialization is completed.

Returns
  This function does not return any values.

Constraints:

Reentrant: No

Link Libraries:
  isf_core.lib

Definition at line 50 of file isf_init.c.

References FALSE, ISF_SYSTEM_READY_EVENT, isfSysEventHandler, and synchCreate.

Referenced by CI_task(), PM_task(), TaskApp1_task(), TaskBusManager_task(), and TaskRLI1_task().

Here is the caller graph for this function:

## Variable Documentation

LWEVENT_STRUCT isfSysEventHandler

Definition of the event handle to the system ready event.

Definition at line 15 of file isf_init.c.

Referenced by isf_lib_init(), and isf_system_sync().

volatile uint8 synchCreate = 0

Definition at line 16 of file isf_init.c.

Referenced by isf_system_sync().

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.